<!-- Author: w3schools.in
URL: https://www.w3schools.in/css/examples/css-stripes-background-demo
license: Free to use without republishing.
https://www.w3schools.in/page/copyright -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS Stripes Background Demo</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <style>
        .flex-row-container {
            display: flex;
            flex-wrap: wrap; /* Allows items to wrap as needed */
            gap:.5rem;
        }
        .flex-row-item {
            flex: 1 1 calc(33.333% - 1rem);
            color: white;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100px;
            text-shadow: 2px 2px 2px rgba(0,0,0,0.5);
            text-align: center;
        }
        .flex-row-item p {
            background-color: rgb(0 0 0 / 50%);
            padding: 3px;
        }
        .horizontal-stripes {
            background: linear-gradient(#2196F3 50%, #03A9F4 50%) repeat 0 0 / 100px 40px;
        }
        .vertical-stripes {
            background: linear-gradient(to right, #4CAF50 50%, #8BC34A 50%) repeat 0 0 / 40px 100px;
        }
        .diagonal-stripes {
            background: linear-gradient(45deg, #FFC107 50%, #FFEB3B 50%) repeat 0 0 / 40px 40px;
        }
        .multiple-background-stripes {
            background: linear-gradient(45deg, rgba(255, 235, 59, 0.8) 25%, transparent 25%, transparent 75%, rgba(255, 235, 59, 0.8) 75%),
            linear-gradient(45deg, rgba(76, 175, 80, 0.8) 25%, transparent 25%, transparent 75%, rgba(76, 175, 80, 0.8) 75%);
            background-position: 0 0, 25px 25px;
            background-size: 50px 50px;
            background-blend-mode: multiply;
        }
        .multi-colored-stripes {
            background: linear-gradient(to right, #4CAF50 20%, #FFC107 20%, #FFC107 40%, #2196F3 40%, #2196F3 60%, #FF5722 60%);
            background-size: 100% 50px;
        }
    </style>
</head>
<body>
    <?php if(!isset($_GET['iframe'])){?>
        <!-- Header -->
        <header class="container-fluid bg-light">
            <nav class="row">
                <div class="col col-md-auto" style="height:90px;">
                    <div class="h-100 d-flex justify-content-center align-items-center">
                        <a class="navbar-brand mx-3" href="https://www.w3schools.in/" title="W3schools Home"><img id="logo" alt="w3schools logo" class="d-inline-block align-text-middle" src="https://www.w3schools.in/wp-content/uploads/w3schools-logo.png" width="170" height="57"></a> Demo Program
                    </div>
                </div>
                <div class="col d-none d-lg-block" style="height:90px;"><div id="ezoic-pub-ad-placeholder-126"></div></div>
            </nav>
        </header>
    <?php } ?>
    <!-- Top bar -->
    <div class="container-fluid shadow-sm border-bottom mb-4">
        <div class="row aligh-items-center">
            <div class="col">
                <nav class="navbar navbar-light">
                    <a class="btn btn-sm btn-light me-2" href="css-stripes-background-demo.zip" title="Download Demo Files"><svg class="svg-icon" viewBox="0 0 24 24">
                        <path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path>
                        <polyline points="7 10 12 15 17 10"></polyline>
                        <line x1="12" y1="15" x2="12" y2="3"></line>
                    </svg></a>
                    <?php if(isset($_GET['iframe'])){?>
                        <a class="btn btn-sm btn-light me-2" href="<?php echo $_SERVER['REQUEST_SCHEME'] .'://'. $_SERVER['HTTP_HOST']  . explode('?', $_SERVER['REQUEST_URI'], 2)[0]; ?>" target="_blank" title="Open in new window"><svg class="svg-icon" viewBox="0 0 24 24">
                            <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
                            <polyline points="15 3 21 3 21 9"></polyline>
                            <line x1="10" y1="14" x2="21" y2="3"></line>
                        </svg></a>
                    <?php } ?>
                </nav>
            </div>
        </div>
    </div>
    <!-- Main -->

    <?php if(!isset($_GET['iframe'])){?>
        <div class="text-center mb-5">
            <h1 class="fw-bolder mb-0">CSS Stripes Background Demo</h1>
            <p><a href="https://www.w3schools.in/" target="_blank">w3schools.in</a></p>
        </div>
    <?php } ?>

    <div class="flex-row-container">
        <div class="flex-row-item horizontal-stripes">
            <p>Horizontal Stripes</p>
        </div>
        <div class="flex-row-item vertical-stripes">
            <p>Vertical Stripes</p>
        </div>
        <div class="flex-row-item diagonal-stripes">
            <p>Diagonal Stripes</p>
        </div>
        <div class="flex-row-item multiple-background-stripes">
            <p>Multiple Background Stripes</p>
        </div>
        <div class="flex-row-item multi-colored-stripes">
            <p>Multi Colored Stripes</p>
        </div>
    </div>
</body>
</html>